
#include <string>
#include <stdexcept>

#include <util.hh>

namespace exopt {
	namespace util [[gnu::visibility("internal")]] {
	
		[[noreturn, gnu::noinline, gnu::cold]]
		void throw_runtime(std::string_view&& msg) {
			throw std::runtime_error(std::string{std::move(msg)});
		}
	}
}
